Macro
SEQAN_CONCEPT_USAGE
Define valid expressions.
SEQAN_CONCEPT_USAGE(name)
Include Headers
seqan/basic.h
Parameters

name | Identifier of the concept defined with SEQAN_CONCEPT or SEQAN_CONCEPT_REFINE.

Remarks
This macro should be used to introduce a block (enclosed with curly braces) of valid expressions within a newly defined concept. Valid expressions should test for available functions, operators and the correctness of return types. Use helper functions, e.g. ignoreUnusedVariableWarning, requireBooleanExpr and sameType.
Examples
SEQAN_CONCEPT(EqualityComparable,(T))
{
SEQAN_CONCEPT_USAGE(EqualityComparable)
{
requireBooleanExpr(a == b);
requireBooleanExpr(a != b);
}
private:
T a, b;
};
See Also
requireBooleanExpr, SEQAN_CONCEPT, sameType, ignoreUnusedVariableWarning, SEQAN_CONCEPT_REFINE
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59